Bug 23674 - graphical install dies at "Preparing to install..."
graphical install dies at "Preparing to install..."
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-09 16:19 EST by Need Real Name
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-03 14:49:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-01-09 16:19:37 EST
A 6.1 -> 7.0 upgrade consistently (3 times) halts at the "Preparing to
install..." stage in graphical mode.  The progress bar appears but never
gets above 0%.  A new message appears on virtual console 1 at this point: 
"Xlib:  unexpected async reply (sequence 0x13f02)."  I'm not sure what
hardware info is relevant, so here's some of it:  the machine is a PIII 600
w/ 256MB RAM on a Tyan Trinity 400 motherboard with the VIA Apollo Pro
chipset.  The video card is a Matrox G400.
Comment 1 Michael Fulbright 2001-01-09 16:51:15 EST
What steps are required to reproduce this problem?

We have not seen this issue internally.
Comment 2 Need Real Name 2001-01-09 17:23:40 EST
These are the steps I follow to produce the problem:

boot redhat install disk
at "boot:" prompt, hit <ENTER>
once the X installer is up, select "English" and hit "Next"
select "Generic 104-key PC", "U.S. English", "Disable dead keys" - hit "Next"
select "Generic/ 3 Button Mouse (PS/2)" - hit "Next"
hit "Next"
select "Upgrade" - hit "Next"
hit "Next" (i.e., no package customization)
deselect "Create boot disk" and "Use linear mode" - hit "Next"
hit "Next" to begin upgrade
Xlib error appears on VC 1 as soon as "Preparing to install" window appears
Comment 3 Michael Fulbright 2001-01-26 17:16:09 EST
Assigning to a developer.
Comment 4 Brent Fox 2001-02-10 01:30:33 EST
Were you doing a cdrom or nfs install?  If cdrom, was it one you burned
yourself?  I haven't been able to reproduce this problem so far.
Comment 5 Need Real Name 2001-02-10 01:45:19 EST
Yes, it was a CD that I burned myself.
Comment 6 Brent Fox 2001-02-16 11:50:53 EST
I'm afraid that there might be some corruption either on the disk that you
burned or the iso image that you downloaded.  Check the MD5 sum of the iso and
compare it to the one on the ftp site and make sure the image was good in the
first place.  Then, I'd recommend burning another cd and trying again.  I can't
think of any other reason why you'd get this error.  Does text mode work ok?
And if so, does testing the X configuration of the card work?
Comment 7 Brent Fox 2001-02-19 19:42:47 EST
Please reopen if the problem persists with a new cd.
Comment 8 Need Real Name 2001-07-16 12:27:05 EDT
I have the same problem.  It has happened on two different systems with two
different RedHat 7.0 CD sets.  I ended up going to RedHat 7.1 on one system,
which worked.  On the other system I am not prepared to go to RedHat 7.1.  In a
text mode install, anaconda crashes with Signal 11 at the same point (Preparing
to Install).  I have tried the updates disk.
Comment 9 Need Real Name 2001-08-01 14:34:02 EDT
The suggestion that a corrupted CD was the problem didn't pan out.  The problem
persisted with
an official redhat CD which did have the correct checksum.  The system on which
I encountered the problem has been upgraded to redhat 7.1 without any trouble.
Comment 10 Brent Fox 2001-08-03 14:48:57 EDT
vaughn@giantstudios.com, I don't know what is causing the behavior that you are
seeing.  When the installer crashes, can you press <Ctrl><Alt><F4> and see if
there are any error messages?
Comment 11 Brent Fox 2001-08-13 23:08:15 EDT
cengelbracht@as.arizona.edu, I don't have an explaination why the 7.1 discs
would work but the 7.0 discs wouldn't.  I guess we'll have to put this one in
the 'unexplainable' bin.  I'm closing this bug, but I will reopen it if
vaughn@giantstudios.com responds.

Note You need to log in before you can comment on or make changes to this bug.